* [gentoo-commits] repo/proj/guru:dev commit in: www-apps/selfoss/
@ 2020-05-23 14:10 Maciej Barć
0 siblings, 0 replies; 4+ messages in thread
From: Maciej Barć @ 2020-05-23 14:10 UTC (permalink / raw
To: gentoo-commits
commit: 7fcd8d57a0a5212cd66c2d9c0540459952ba295b
Author: Maciej Barć <xgqt <AT> protonmail <DOT> com>
AuthorDate: Sat May 23 14:10:42 2020 +0000
Commit: Maciej Barć <xgqt <AT> protonmail <DOT> com>
CommitDate: Sat May 23 14:10:42 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=7fcd8d57
www-apps/selfoss: new package; add version 2.18
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Maciej Barć <xgqt <AT> protonmail.com>
www-apps/selfoss/Manifest | 1 +
www-apps/selfoss/metadata.xml | 11 ++++++++++
www-apps/selfoss/selfoss-2.18.ebuild | 42 ++++++++++++++++++++++++++++++++++++
3 files changed, 54 insertions(+)
diff --git a/www-apps/selfoss/Manifest b/www-apps/selfoss/Manifest
new file mode 100644
index 0000000..d0b0248
--- /dev/null
+++ b/www-apps/selfoss/Manifest
@@ -0,0 +1 @@
+DIST selfoss-2.18.zip 2881068 BLAKE2B aaf45ed5fa005cbfba0954a50412b37ec26e17de4308e9604a942861d63ade64149a048936871526f8b45a948555e6d5335152cc18c8664f9668d2e61350b4eb SHA512 6966458f4ef803ac87df7a2650aed73d6d99922f84d21f64950964b752535d3a1ddd8c585ce2ca5a3f58fb9f2de76fa7a0932ce2eb62faa753ed2398b6ebb748
diff --git a/www-apps/selfoss/metadata.xml b/www-apps/selfoss/metadata.xml
new file mode 100644
index 0000000..e12d579
--- /dev/null
+++ b/www-apps/selfoss/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>xgqt@protonmail.com</email>
+ <name>Maciej Barć</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">SSilence/selfoss</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/www-apps/selfoss/selfoss-2.18.ebuild b/www-apps/selfoss/selfoss-2.18.ebuild
new file mode 100644
index 0000000..b48faf2
--- /dev/null
+++ b/www-apps/selfoss/selfoss-2.18.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit webapp
+
+DESCRIPTION="The multipurpose rss reader, live stream, mashup, aggregation web application"
+HOMEPAGE="https://selfoss.aditu.de/"
+SRC_URI="https://github.com/SSilence/${PN}/releases/download/${PV}/${P}.zip"
+LICENSE="GPL-3"
+
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="
+ >=dev-lang/php-5.4.0[curl,gd]
+ virtual/httpd-php
+ || (
+ dev-db/mysql
+ dev-db/postgresql
+ dev-db/sqlite
+ )
+"
+
+S=${WORKDIR}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: www-apps/selfoss/
@ 2020-05-24 19:30 Maciej Barć
0 siblings, 0 replies; 4+ messages in thread
From: Maciej Barć @ 2020-05-24 19:30 UTC (permalink / raw
To: gentoo-commits
commit: 47ee1a3903d6f6a1d9d5fa53bf3f8ebeabf8eac3
Author: Maciej Barć <xgqt <AT> protonmail <DOT> com>
AuthorDate: Sun May 24 19:29:06 2020 +0000
Commit: Maciej Barć <xgqt <AT> protonmail <DOT> com>
CommitDate: Sun May 24 19:29:23 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=47ee1a39
www-apps/selfoss: revision bump; adress some permission issues
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Maciej Barć <xgqt <AT> protonmail.com>
www-apps/selfoss/{selfoss-2.18.ebuild => selfoss-2.18-r1.ebuild} | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/www-apps/selfoss/selfoss-2.18.ebuild b/www-apps/selfoss/selfoss-2.18-r1.ebuild
similarity index 79%
rename from www-apps/selfoss/selfoss-2.18.ebuild
rename to www-apps/selfoss/selfoss-2.18-r1.ebuild
index b48faf2..ff933e2 100644
--- a/www-apps/selfoss/selfoss-2.18.ebuild
+++ b/www-apps/selfoss/selfoss-2.18-r1.ebuild
@@ -36,7 +36,13 @@ src_install() {
doins -r .
webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/public
webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
webapp_src_install
}
+
+pkg_postinst() {
+ elog "Default selfoss config is installed as defaults.ini"
+ elog "Copy that config to config.ini and customize as you wish"
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: www-apps/selfoss/
2021-03-28 11:43 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
@ 2021-03-28 11:14 ` Andrew Ammerlaan
0 siblings, 0 replies; 4+ messages in thread
From: Andrew Ammerlaan @ 2021-03-28 11:14 UTC (permalink / raw
To: gentoo-commits
commit: 3e8c50916275cf52f382c559f1cc7efaaf67e419
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun Mar 28 11:11:11 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Mar 28 11:11:11 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=3e8c5091
www-apps/selfoss: add bdep on unzip
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
www-apps/selfoss/selfoss-2.18-r1.ebuild | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/www-apps/selfoss/selfoss-2.18-r1.ebuild b/www-apps/selfoss/selfoss-2.18-r1.ebuild
index ff933e2cb..ec179d5e2 100644
--- a/www-apps/selfoss/selfoss-2.18-r1.ebuild
+++ b/www-apps/selfoss/selfoss-2.18-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -22,6 +22,7 @@ RDEPEND="
dev-db/sqlite
)
"
+BDEPEND="app-arch/unzip"
S=${WORKDIR}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: www-apps/selfoss/
@ 2021-11-26 10:50 Maciej Barć
0 siblings, 0 replies; 4+ messages in thread
From: Maciej Barć @ 2021-11-26 10:50 UTC (permalink / raw
To: gentoo-commits
commit: 71493e44418671635547238723597d96b474e392
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 26 10:50:02 2021 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Nov 26 10:50:02 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=71493e44
www-apps: move selfoss to ::gentoo
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
www-apps/selfoss/Manifest | 1 -
www-apps/selfoss/metadata.xml | 11 --------
www-apps/selfoss/selfoss-2.18-r1.ebuild | 49 ---------------------------------
3 files changed, 61 deletions(-)
diff --git a/www-apps/selfoss/Manifest b/www-apps/selfoss/Manifest
deleted file mode 100644
index d0b0248d6..000000000
--- a/www-apps/selfoss/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST selfoss-2.18.zip 2881068 BLAKE2B aaf45ed5fa005cbfba0954a50412b37ec26e17de4308e9604a942861d63ade64149a048936871526f8b45a948555e6d5335152cc18c8664f9668d2e61350b4eb SHA512 6966458f4ef803ac87df7a2650aed73d6d99922f84d21f64950964b752535d3a1ddd8c585ce2ca5a3f58fb9f2de76fa7a0932ce2eb62faa753ed2398b6ebb748
diff --git a/www-apps/selfoss/metadata.xml b/www-apps/selfoss/metadata.xml
deleted file mode 100644
index 0918cf97e..000000000
--- a/www-apps/selfoss/metadata.xml
+++ /dev/null
@@ -1,11 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="person">
- <email>xgqt@riseup.net</email>
- <name>Maciej Barć</name>
- </maintainer>
- <upstream>
- <remote-id type="github">SSilence/selfoss</remote-id>
- </upstream>
-</pkgmetadata>
diff --git a/www-apps/selfoss/selfoss-2.18-r1.ebuild b/www-apps/selfoss/selfoss-2.18-r1.ebuild
deleted file mode 100644
index ec179d5e2..000000000
--- a/www-apps/selfoss/selfoss-2.18-r1.ebuild
+++ /dev/null
@@ -1,49 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit webapp
-
-DESCRIPTION="The multipurpose rss reader, live stream, mashup, aggregation web application"
-HOMEPAGE="https://selfoss.aditu.de/"
-SRC_URI="https://github.com/SSilence/${PN}/releases/download/${PV}/${P}.zip"
-LICENSE="GPL-3"
-
-KEYWORDS="~amd64"
-IUSE=""
-
-RDEPEND="
- >=dev-lang/php-5.4.0[curl,gd]
- virtual/httpd-php
- || (
- dev-db/mysql
- dev-db/postgresql
- dev-db/sqlite
- )
-"
-BDEPEND="app-arch/unzip"
-
-S=${WORKDIR}
-
-pkg_setup() {
- webapp_pkg_setup
-}
-
-src_install() {
- webapp_src_preinst
-
- insinto "${MY_HTDOCSDIR}"
- doins -r .
-
- webapp_serverowned -R "${MY_HTDOCSDIR}"/data
- webapp_serverowned -R "${MY_HTDOCSDIR}"/public
- webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
-
- webapp_src_install
-}
-
-pkg_postinst() {
- elog "Default selfoss config is installed as defaults.ini"
- elog "Copy that config to config.ini and customize as you wish"
-}
^ permalink raw reply related [flat|nested] 4+ messages in thread
end of thread, other threads:[~2021-11-26 10:50 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-05-24 19:30 [gentoo-commits] repo/proj/guru:dev commit in: www-apps/selfoss/ Maciej Barć
-- strict thread matches above, loose matches on Subject: below --
2021-11-26 10:50 Maciej Barć
2021-03-28 11:43 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2021-03-28 11:14 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-05-23 14:10 Maciej Barć
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox